--[[local debug = {
	[57834] = true, -- Frost Spit by the wyrms flying around in Storm Peaks
}]]
local debug = nil

local spell_ids_25 = {
  [72789] = true, -- Flames from Ball of Flames (empowered or otherwise)
	[72809] = true, -- Empowered Shadow Lance
	[72804] = true, -- Shadow Lance (shouldn't ever do that much damage but here for completness)
}

local spell_ids_10 = {
	[71393] = true, -- Flames from Ball of Flames (empowered or otherwise)
	[71815] = true, -- Empowered Shadow Lance
	[71405] = true, -- Shadow Lance (shouldn't ever do that much damage but here for completness)
}

local function scream(dst_name, spell_name, amount)
	SendChatMessage(format("Orb Whisperer achievement failed: %s took %d damage from %s",dst_name,amount,spell_name),"RAID")
end

local function OnEvent(frame, event, ts, cevent, src_guid, src_name, src_flags, dst_guid, dst_name, dst_flags, spell_id, spell_name, spell_school, amount)
	if event ~= "COMBAT_LOG_EVENT_UNFILTERED" then return end
	if cevent ~= "SPELL_DAMAGE" then return end
	if not spell_id or not amount then return end

	if spell_ids_25[spell_id] then
		if amount > 25000 then
			scream(dst_name, spell_name, amount)
		end
	elseif spell_ids_10[spell_id] then
		if amount > 23000 then
			scream(dst_name, spell_name, amount)
		end
	elseif debug and debug[spell_id] then
		if amount > 250 then
			scream(dst_name, spell_name, amount)
		end
	end
end

local frame = CreateFrame("Frame")
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
frame:SetScript("OnEvent",OnEvent)
